@echo off

rem Harbour executable builder batch file
rem
rem Compiler: Borland C/C++ 3.1
rem Platform: 16-bit DOS
rem
rem Adapted from the MINGW32 version created by Victor Szel <info@szelvesz.hu>
rem by David G. Holm <dholm@jsd-llc.com>

if not "%1" == "" goto compile

echo.
echo Usage: makeexe.bat name
echo.
echo - 'name' is the .prg filename *without* extension.
echo - Don't forget to make a MAIN function for you application.
exit

:compile
harbour %1.prg /n
bcc -O2 -mh -I..\include %1.c ..\lib\rtl.lib ..\lib\rdd.lib ..\lib\vm.lib ..\lib\rdd.lib ..\lib\rtl.lib ..\lib\dbfntx.lib
del %1.c
